<!--
    Input:
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_compatibility_matrix.xml
        framework_moto_fps.xml
        framework_compatibility_matrix.xml
-->
<compatibility-matrix version="2.0" type="framework">
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.biometric.fingerprint</name>
        <version>1.0</version>
        <interface>
            <name>IMotoFingerPrint</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IMotoFingerPrintSensorTest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.display.panel</name>
        <version>1.0</version>
        <interface>
            <name>IDisplayPanel</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>motorola.hardware.camera.imgtuner</name>
        <version>1.0</version>
        <interface>
            <name>IImageTuning</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.health</name>
        <version>2.0</version>
        <interface>
            <name>IMotHealth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="false">
        <name>motorola.hardware.input</name>
        <version>1.0</version>
        <interface>
            <name>IMotInput</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.sensorscalibrate</name>
        <version>1.0</version>
        <interface>
            <name>ISensorsCalibrate</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wifi.hostapd</name>
        <version>1.0</version>
        <interface>
            <name>IHostapdMot</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wifi.supplicant</name>
        <version>1.0</version>
        <interface>
            <name>ISupplicantMot</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.nxpnfc</name>
        <version>2.0</version>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.nxpnfclegacy</name>
        <version>1.0</version>
        <interface>
            <name>INxpNfcLegacy</name>
            <instance>default</instance>
        </interface>
    </hal>
</compatibility-matrix>
